package cn.newfeifan.mall.module.distri.controller.admin.dailybill.excelvo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDate;

@Schema(description = "管理后台 - 每日账单 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DailyBillExcelRespVO {
    @Schema(description = "账单编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "27497")
    @ExcelProperty("账单编号")
    private Long id;

    @Schema(description = "金额，单位：分", requiredMode = Schema.RequiredMode.REQUIRED, example = "30486")
    @ExcelProperty("金额")
    private Double price;

    @Schema(description = "确收金额，单位：分", requiredMode = Schema.RequiredMode.REQUIRED, example = "29815")
    @ExcelProperty("确收金额")
    private Double receivedPrice;

    @Schema(description = "退款金额, 单位: 分", requiredMode = Schema.RequiredMode.REQUIRED, example = "11962")
    @ExcelProperty("退款金额")
    private Double refundPrice;

    @Schema(description = "积分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("积分")
    private Double integral;

    @Schema(description = "确收积分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("确收积分")
    private Double receivedIntegral;

    @Schema(description = "退款积分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("退款积分")
    private Double refundIntegral;

    @Schema(description = "订单数，默认为0", requiredMode = Schema.RequiredMode.REQUIRED, example = "27164")
    @ExcelProperty("订单数")
    private Long orderCount;

    @Schema(description = "店铺名称")
    @ExcelProperty("店铺名称")
    private String shopName;

    @Schema(description = "商户名称")
    @ExcelProperty("商户名称")
    private String merchantName;

    @Schema(description = "订单所属日期", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("账单日期")
    private LocalDate orderCalcTime;
    
    
}
