package cn.newfeifan.mall.module.distri.controller.admin.ptdailybill.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDate;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 平台每日账单统计 Response VO")
@Data
@ExcelIgnoreUnannotated
public class PtDailyBillRespVO {

    @Schema(description = "账单编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "4121")
    @ExcelProperty("账单编号")
    private Long id;

    @Schema(description = "金额，单位：分", requiredMode = Schema.RequiredMode.REQUIRED, example = "24178")
    @ExcelProperty("金额，单位：分")
    private Long price;

    @Schema(description = "确收金额，单位：分", requiredMode = Schema.RequiredMode.REQUIRED, example = "4933")
    @ExcelProperty("确收金额，单位：分")
    private Long receivedPrice;

    @Schema(description = "订单数，默认为0", requiredMode = Schema.RequiredMode.REQUIRED, example = "24153")
    @ExcelProperty("订单数，默认为0")
    private Long orderCount;

    @Schema(description = "退款金额, 单位: 分", requiredMode = Schema.RequiredMode.REQUIRED, example = "25468")
    @ExcelProperty("退款金额, 单位: 分")
    private Long refundPrice;

    @Schema(description = "积分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("积分")
    private Long integral;

    @Schema(description = "确收积分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("确收积分")
    private Long receivedIntegral;

    @Schema(description = "退款积分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("退款积分")
    private Long refundIntegral;

    @Schema(description = "订单所属日期", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("订单所属日期")
    private LocalDate orderCalcTime;

    @Schema(description = "订单ID列表，文本类型", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("订单ID列表，文本类型")
    private String orderIds;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    public String getOrderCalcTime() {
        return orderCalcTime.toString();
    }

}