package cn.newfeifan.mall.module.distri.controller.admin.ptsettlement.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import javax.validation.constraints.*;
import java.math.BigDecimal;

@Schema(description = "管理后台 - 平台每日结算信息表，记录店铺的结算信息新增/修改 Request VO")
@Data
public class PtSettlementSaveReqVO {

    @Schema(description = "结算id", requiredMode = Schema.RequiredMode.REQUIRED, example = "2104")
    private Long id;

    @Schema(description = "销售额（积分 + 支付金额）", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "销售额（积分 + 支付金额）不能为空")
    private Integer platformCollectionAmount;

    @Schema(description = "抵扣积分", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "抵扣积分不能为空")
    private Long shopAmount;

    @Schema(description = "共计成本价格(高精度 + 成本)")
    private BigDecimal shopTotalHighAmount;

    @Schema(description = "是否结账")
    private Boolean platformTransferConfirm;

}