package cn.newfeifan.mall.module.distri.service.ptsettlement;

import javax.validation.*;
import cn.newfeifan.mall.module.distri.controller.admin.ptsettlement.vo.*;
import cn.newfeifan.mall.module.distri.dal.dataobject.ptsettlement.PtSettlementDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;

/**
 * 平台每日结算信息表，记录店铺的结算信息 Service 接口
 *
 * @author 非繁人
 */
public interface PtSettlementService {

    /**
     * 创建平台每日结算信息表，记录店铺的结算信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createPtSettlement(@Valid PtSettlementSaveReqVO createReqVO);

    /**
     * 更新平台每日结算信息表，记录店铺的结算信息
     *
     * @param updateReqVO 更新信息
     */
    void updatePtSettlement(@Valid PtSettlementSaveReqVO updateReqVO);

    /**
     * 删除平台每日结算信息表，记录店铺的结算信息
     *
     * @param id 编号
     */
    void deletePtSettlement(Long id);

    /**
     * 获得平台每日结算信息表，记录店铺的结算信息
     *
     * @param id 编号
     * @return 平台每日结算信息表，记录店铺的结算信息
     */
    PtSettlementDO getPtSettlement(Long id);

    /**
     * 获得平台每日结算信息表，记录店铺的结算信息分页
     *
     * @param pageReqVO 分页查询
     * @return 平台每日结算信息表，记录店铺的结算信息分页
     */
    PageResult<PtSettlementDO> getPtSettlementPage(PtSettlementPageReqVO pageReqVO);

}