package cn.newfeifan.mall.module.trade.controller.admin.order.excelVO;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 账单订单 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DailyBillOrderRespVO {
    @Schema(description = "订单流水号", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("订单号")
    private String no;

    @Schema(description = "应付金额（总），单位：分", requiredMode = Schema.RequiredMode.REQUIRED, example = "26217")
    @ExcelProperty("金额")
    private Double payPrice;

    @Schema(description = "应付金额（总），单位：分", requiredMode = Schema.RequiredMode.REQUIRED, example = "26217")
    @ExcelProperty("确收金额")
    private Double payCash;

    @Schema(description = "退款金额，单位：分", requiredMode = Schema.RequiredMode.REQUIRED, example = "23373")
    @ExcelProperty("退款金额")
    private Double refundPrice;

    @Schema(description = "支付积分")
    @ExcelProperty("积分抵扣")
    private Double payIntegral;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("下单时间")
    private LocalDateTime createTime;
}
