package cn.newfeifan.mall.module.trade.controller.admin.ordercallbacklogs.vo;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.newfeifan.mall.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 第三方回调日志分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OrderCallbackLogsPageReqVO extends PageParam {

    @Schema(description = "订单ID", example = "27271")
    private String orderId;

    @Schema(description = "回调推送参数体")
    private String requestParam;

    @Schema(description = "回调响应体")
    private String responseBody;

    @Schema(description = "回调状态，失败是0，成功是1", example = "1")
    private Boolean status;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}